aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-11-18 17:35:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-18 17:39:20 +0000
commit2410ae22f7247221cce96643877b9275c32d830c (patch)
treef31f38291fd25daf84d6fbb7dce71a8c1e74a88b
parentd38f6eeac138d54641fa54fc8fa9fbeb9bb65e34 (diff)
downloadaports-2410ae22f7247221cce96643877b9275c32d830c.tar.gz
aports-2410ae22f7247221cce96643877b9275c32d830c.tar.bz2
aports-2410ae22f7247221cce96643877b9275c32d830c.tar.xz
testing/libburn; new aport
Library for reading, mastering and writing optical discs http://libburnia.pykix.org/
-rw-r--r--testing/libburn/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/libburn/APKBUILD b/testing/libburn/APKBUILD
new file mode 100644
index 0000000000..cfc67ca98d
--- /dev/null
+++ b/testing/libburn/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libburn
+pkgver="0.8.8_p00"
+_ver=${pkgver%_p*}
+_pver=${pkgver##*_p}
+pkgrel=0
+pkgdesc="Library for reading, mastering and writing optical discs"
+url="http://libburnia.pykix.org/"
+license="GPL"
+depends=""
+makedepends=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://files.libburnia-project.org/releases/libburn-${_ver}.pl${_pver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$_ver
+build ()
+{
+ cd "$_builddir"
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="4a05e8501a013d74cb9078bff7b5ad75 libburn-0.8.8.pl00.tar.gz"